//---- Slug Like Creature being harmed

//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//

//--- Slug Textures
#declare Cream = color rgb <0.9, 0.85, 0.8>;
#declare BruisedFlesh = color rgb <0.69, 0.33, 0.33>;

//---- Main Body Texture
#declare BodyTexture =
texture {
	pigment {
		wood 
		turbulence 0.01
		color_map {
			[0.00, 0.10  color Red    color Red]
			[0.10, 0.14  color Black  color Black]
			[0.14, 0.40  color Cream  color Cream]
			[0.40, 1.00  color Cream  color Gold]
		}
		scale <8, 8, 8>
		translate <0, 1.5, 0>
	}
	finish {
		ambient 0.1
		diffuse 0.5
	}
}
texture {
	pigment {
		gradient <0, 1, 0>
		color_map {
			[0.00, 0.15  color DarkGreen     color BruisedFlesh]
			[0.15, 0.24  color BruisedFlesh  color Gold]
			[0.24, 1.00  color Gold          color Clear]
		}
		scale <9, 10, 9>
		translate <0, -3.5, 0>
	}
	finish {
		ambient 0.1
		diffuse 0.5
	}
}	
texture {
	pigment { Clear }
	normal {
		bumps 1
		frequency 0.01
		scale <0.1, 0.1, 0.1>
	}
	finish {
		ambient 0.1
		diffuse 0.5
		phong 0.7
		phong_size 80
	}
}	

//--- Leg Texture
#declare LegTexture =
texture {
	pigment {
		gradient <0, 1, 0>
		turbulence 0
		color_map {
			[0.0, 0.2  color Black  color Red]
			[0.2, 0.5  color Red    color Gold]
			[0.5, 1.0  color Gold   color Gold]
		}
		scale <1, 7, 1>
	}
	finish {
		ambient 0.1
		diffuse 0.5
		phong 1
		phong_size 70
	}
}	

//---- Horn Texture
#declare YourTexture =
texture {
	pigment {
		gradient <0, 0, 1>
		color_map {
			[0.0, 0.4  color Black    color Scarlet]
			[0.4, 0.7  color Scarlet  color Gold]
			[0.7, 1.0  color Gold     color Cream]
		}
		scale <1, 1, 11.5>
	}
	finish {
		ambient 0.1
		diffuse 0.5
		phong 1
	}
}

//---- Head Texture
#declare HeadCheese =
texture {
	pigment {
		wood
		color_map {
			[0.0, 0.3  color Black    color Violet]
			[0.3, 0.6  color Violet   color Scarlet]
			[0.6, 0.8  color Scarlet  color Gold]
			[0.8, 1.0  color Gold     color Cream]
		}
		scale <8, 8, 1>
	}
	finish {
		ambient 0.2
		phong 1
	}
}
texture {
	pigment { Clear }
	normal {
		bumps 1
		frequency 0.01
		scale <0.1, 0.1, 0.1>
	}
	finish {
		ambient 0.1
		diffuse 0.5
		phong 0.7
		phong_size 80
	}
}	

//---- Alternative Head Pulpt
#declare HeadTexture =
texture {
	pigment {
		gradient <0, 0, 1>
		color_map {
			[0.0, 0.5  color Cream  color Clear]
			[0.5, 1.0  color Clear  color Clear]
		}
		scale <1, 1, 2>
		translate <0, 0, -2>
	}
	finish {
		ambient 0.1
		diffuse 0.4
		phong 1
	}
}
texture {
	pigment { Clear }
	normal {
		bumps 1
		frequency 0.01
		scale <0.1, 0.1, 0.1>
	}
}

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//--- Slug Leg
#declare Dot = quadric { <1, 1, 1>, <0, 0, 0>, <0, 0, 0>, -1 scale <0.98, 0.98 0.98> }
#declare Connector_1 = 
object {
	quadric { <0, 1, 1>, <0, 0, 0>, <0, 0, 0>, -1 }
	clipped_by {
		plane { <1, 0, 0>, 1 }
		plane { <-1, 0, 0>, 0 }
	}
}
#declare Connector_2 = quadric { <1, -1, 1>, <0, 0, 0>, <0, 0, 0>, 0 rotate <0, 0, 90> }

//---- Make one Slug Leg
#declare Leg =
union {
	object {
		Dot
		scale <0.1, 0.1, 0.1>
		translate <-6.5, 0.1, 0>
		texture { LegTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.297156 }
			plane { <1, 0, 0>, 0.099052 inverse }
		}
		translate <-0.099052, 0, 0>
		scale <7.211103, 1, 1>
		translate <0.013736, 0, 0>
		rotate <0, 0, 74.054604>
		rotate <0, -180, 0>
		translate <-6.5, 0.1, 0>
		texture { LegTexture }
	}
	object {
		Dot
		scale <0.3, 0.3, 0.3>
		translate <-6.9, 1.5, 0>
		texture { LegTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.397553 }
			plane { <1, 0, 0>, 0.298165 inverse }
		}
		translate <-0.298165, 0, 0>
		scale <9, 1, 1>
		translate <0.033129, 0, 0>
		rotate <0, 0, 83.659808>
		rotate <0, -180, 0>
		translate <-6.9, 1.5, 0>
		texture { LegTexture }
	}
	object {
		Dot
		scale <0.4, 0.4, 0.4>
		translate <-7, 2.4, 0>
		texture { LegTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.497947 }
			plane { <1, 0, 0>, 0.398357 inverse }
		}
		translate <-0.398357, 0, 0>
		scale <11, 1, 1>
		translate <0.036214, 0, 0>
		rotate <0, 0, 84.805571>
		translate <-7, 2.4, 0>
		texture { LegTexture }
	}
	object {
		Dot
		scale <0.5, 0.5, 0.5>
		translate <-6.9, 3.5, 0>
		texture { LegTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.59646 }
			plane { <1, 0, 0>, 0.49705 inverse }
		}
		translate <-0.49705, 0, 0>
		scale <9.165151, 1, 1>
		translate <0.054233, 0, 0>
		rotate <0, 0, 77.471192>
		translate <-6.9, 3.5, 0>
		texture { LegTexture }
	}
	object {
		Dot
		scale <0.6, 0.6, 0.6>
		translate <-6.7, 4.4, 0>
		texture { LegTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.692179 }
			plane { <1, 0, 0>, 0.593296 inverse }
		}
		translate <-0.593296, 0, 0>
		scale <6.63325, 1, 1>
		translate <0.089443, 0, 0>
		rotate <0, 0, 63.434949>
		translate <-6.7, 4.4, 0>
		texture { LegTexture }
	}
	object {
		Dot
		scale <0.7, 0.7, 0.7>
		translate <-6.4, 5, 0>
		texture { LegTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.834176 }
			plane { <1, 0, 0>, 0.686969 inverse }
		}
		translate <-0.686969, 0, 0>
		scale <5.109903, 1, 1>
		translate <0.134439, 0, 0>
		rotate <0, 0, 39.805571>
		translate <-6.4, 5, 0>
		texture { LegTexture }
	}
	object {
		Dot
		scale <0.85, 0.85, 0.85>
		translate <-5.8, 5.5, 0>
		texture { LegTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.98254 }
			plane { <1, 0, 0>, 0.835159 inverse }
		}
		translate <-0.835159, 0, 0>
		scale <5.280993, 1, 1>
		translate <0.158144, 0, 0>
		rotate <0, 0, 29.744881>
		translate <-5.8, 5.5, 0>
		texture { LegTexture }
	}
	object {
		Dot
		translate <-5.1, 5.9, 0>
		texture { LegTexture }
	}

	bounded_by { object { UnitBox scale <2, 4, 1.2> translate <-5.8, 3.9, 0> } }
}

//--- Slug's Body & Head

//--- Main Body Section
#declare B1 =
object {
	union {
		union {
			intersection {
				quadric { <0.073046018991965, -0.034925127830533, 0.073046018991965>, <0, 0, 0>, <0, 0, 0>, -1 }
				plane { <0, 1, 0>, 2.3 }
				plane { <0, 1, 0>, -2.3 inverse }
				rotate <90, 0, 0>
			}
			object { Sphere scale <4.05, 4.05, 2.6> translate <0, 0, -2.6> }
			object { Sphere scale <4.05, 4.05, 2.6> translate <0, 0,  2.6> }
			scale <1, 0.8, 1> 
		}
		object { Sphere scale <1.9, 1.9, 1> rotate <-20, 0, 0> translate <0, -0.8, -4.8> }
		object { Sphere scale <1.9, 1.9, 1> rotate < 20, 0, 0> translate <0, -0.8, 4.8> }
	} 
	texture { BodyTexture } 
	bounded_by { object { UnitBox scale <4.2, 3.4, 6.2> } }
}

//--- Complete Body Section
#declare BS =
union {
	object { B1 translate <0, 7, 0> }
	object { Leg rotate <0, -90, 0>}
	object { Leg rotate <0, 90, 0> }
	bounded_by { object { UnitBox scale <4.2, 5.3, 7.8> translate <0, 5.1, 0> } }
}

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
//---- Head Horns
#declare Horn =
union {
	object {
		Dot
		scale <0.97, 0.97, 0.97>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.967528 }
			plane { <1, 0, 0>, 0.937605 inverse }
		}
		translate <-0.967528, 0, 0>
		scale <13.981666, 1, 1>
		translate <-0.0692, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 134.452764, 0>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.94, 0.94, 0.94>
		translate <-0.2945, 0, -0.30018>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.937605 }
			plane { <1, 0, 0>, 0.907681 inverse }
		}
		translate <-0.937605, 0, 0>
		scale <13.981696, 1, 1>
		translate <-0.067059, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 131.112482, 0>
		translate <-0.2945, 0, -0.30018>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.91, 0.91, 0.91>
		translate <-0.57101, 0, -0.61701>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.907681 }
			plane { <1, 0, 0>, 0.877758 inverse }
		}
		translate <-0.907681, 0, 0>
		scale <13.981624, 1, 1>
		translate <-0.06492, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 127.772453, 0>
		translate <-0.57101, 0, -0.61701>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.88, 0.88, 0.88>
		translate <-0.82859, 0, -0.94941>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.877758 }
			plane { <1, 0, 0>, 0.847834 inverse }
		}
		translate <-0.877758, 0, 0>
		scale <13.981903, 1, 1>
		translate <-0.062778, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 124.432247, 0>
		translate <-0.82859, 0, -0.94941>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.85, 0.85, 0.85>
		translate <-1.06637, 0, -1.29626>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.847834 }
			plane { <1, 0, 0>, 0.817911 inverse }
		}
		translate <-0.847834, 0, 0>
		scale <13.981642, 1, 1>
		translate <-0.060639, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 121.091572, 0>
		translate <-1.06637, 0, -1.29626>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.82, 0.82, 0.82>
		translate <-1.28353, 0, -1.65637>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.817911 }
			plane { <1, 0, 0>, 0.787987 inverse }
		}
		translate <-0.817911, 0, 0>
		scale <13.981762, 1, 1>
		translate <-0.058498, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 117.749657, 0>
		translate <-1.28353, 0, -1.65637>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.79, 0.79, 0.79>
		translate <-1.47933, 0, -2.02853>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.787987 }
			plane { <1, 0, 0>, 0.758064 inverse }
		}
		translate <-0.787987, 0, 0>
		scale <13.981669, 1, 1>
		translate <-0.056359, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 114.410578, 0>
		translate <-1.47933, 0, -2.02853>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.76, 0.76, 0.76>
		translate <-1.65312, 0, -2.41146>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.758064 }
			plane { <1, 0, 0>, 0.72814 inverse }
		}
		translate <-0.758064, 0, 0>
		scale <13.981774, 1, 1>
		translate <-0.054218, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 111.069694, 0>
		translate <-1.65312, 0, -2.41146>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.73, 0.73, 0.73>
		translate <-1.8043, 0, -2.80387>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.72814 }
			plane { <1, 0, 0>, 0.698216 inverse }
		}
		translate <-0.72814, 0, 0>
		scale <13.981721, 1, 1>
		translate <-0.052078, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 107.729619, 0>
		translate <-1.8043, 0, -2.80387>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.7, 0.7, 0.7>
		translate <-1.93236, 0, -3.20442>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.698216 }
			plane { <1, 0, 0>, 0.668293 inverse }
		}
		translate <-0.698216, 0, 0>
		scale <13.981654, 1, 1>
		translate <-0.049938, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 104.38884, 0>
		translate <-1.93236, 0, -3.20442>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.67, 0.67, 0.67>
		translate <-2.03686, 0, -3.61175>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.668293 }
			plane { <1, 0, 0>, 0.638369 inverse }
		}
		translate <-0.668293, 0, 0>
		scale <13.981766, 1, 1>
		translate <-0.047797, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 101.048605, 0>
		translate <-2.03686, 0, -3.61175>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.64, 0.64, 0.64>
		translate <-2.11745, 0, -4.02448>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.638369 }
			plane { <1, 0, 0>, 0.608446 inverse }
		}
		translate <-0.638369, 0, 0>
		scale <13.981641, 1, 1>
		translate <-0.045658, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 97.70908, 0>
		translate <-2.11745, 0, -4.02448>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.61, 0.61, 0.61>
		translate <-2.17386, 0, -4.4412>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.608446 }
			plane { <1, 0, 0>, 0.578522 inverse }
		}
		translate <-0.608446, 0, 0>
		scale <13.981646, 1, 1>
		translate <-0.043517, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 94.366938, 0>
		translate <-2.17386, 0, -4.4412>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.58, 0.58, 0.58>
		translate <-2.20588, 0, -4.8605>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.578522 }
			plane { <1, 0, 0>, 0.548599 inverse }
		}
		translate <-0.578522, 0, 0>
		scale <13.981872, 1, 1>
		translate <-0.041377, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 91.02736, 0>
		translate <-2.20588, 0, -4.8605>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.55, 0.55, 0.55>
		translate <-2.21342, 0, -5.28096>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.548599 }
			plane { <1, 0, 0>, 0.518675 inverse }
		}
		translate <-0.548599, 0, 0>
		scale <13.981703, 1, 1>
		translate <-0.039237, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 87.687226, 0>
		translate <-2.21342, 0, -5.28096>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.52, 0.52, 0.52>
		translate <-2.19645, 0, -5.70114>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.518675 }
			plane { <1, 0, 0>, 0.488752 inverse }
		}
		translate <-0.518675, 0, 0>
		scale <13.981812, 1, 1>
		translate <-0.037096, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 84.346076, 0>
		translate <-2.19645, 0, -5.70114>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.49, 0.49, 0.49>
		translate <-2.15502, 0, -6.11962>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.488752 }
			plane { <1, 0, 0>, 0.458828 inverse }
		}
		translate <-0.488752, 0, 0>
		scale <13.98163, 1, 1>
		translate <-0.034957, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 81.006053, 0>
		translate <-2.15502, 0, -6.11962>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.46, 0.46, 0.46>
		translate <-2.08928, 0, -6.53497>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.458828 }
			plane { <1, 0, 0>, 0.428904 inverse }
		}
		translate <-0.458828, 0, 0>
		scale <13.981834, 1, 1>
		translate <-0.032816, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 77.665821, 0>
		translate <-2.08928, 0, -6.53497>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.43, 0.43, 0.43>
		translate <-1.99945, 0, -6.94579>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.428904 }
			plane { <1, 0, 0>, 0.398981 inverse }
		}
		translate <-0.428904, 0, 0>
		scale <13.981628, 1, 1>
		translate <-0.030676, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 74.32448, 0>
		translate <-1.99945, 0, -6.94579>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.4, 0.4, 0.4>
		translate <-1.88583, 0, -7.35067>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.398981 }
			plane { <1, 0, 0>, 0.369057 inverse }
		}
		translate <-0.398981, 0, 0>
		scale <13.981906, 1, 1>
		translate <-0.028536, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 70.984254, 0>
		translate <-1.88583, 0, -7.35067>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.37, 0.37, 0.37>
		translate <-1.74881, 0, -7.74825>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.369057 }
			plane { <1, 0, 0>, 0.339134 inverse }
		}
		translate <-0.369057, 0, 0>
		scale <13.981535, 1, 1>
		translate <-0.026396, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 67.643729, 0>
		translate <-1.74881, 0, -7.74825>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.34, 0.34, 0.34>
		translate <-1.58886, 0, -8.13716>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.339134 }
			plane { <1, 0, 0>, 0.30921 inverse }
		}
		translate <-0.339134, 0, 0>
		scale <13.981869, 1, 1>
		translate <-0.024255, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 64.303868, 0>
		translate <-1.58886, 0, -8.13716>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.31, 0.31, 0.31>
		translate <-1.40652, 0, -8.5161>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.30921 }
			plane { <1, 0, 0>, 0.279287 inverse }
		}
		translate <-0.30921, 0, 0>
		scale <13.981526, 1, 1>
		translate <-0.022116, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 60.962732, 0>
		translate <-1.40652, 0, -8.5161>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.28, 0.28, 0.28>
		translate <-1.20241, 0, -8.88376>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.279287 }
			plane { <1, 0, 0>, 0.249363 inverse }
		}
		translate <-0.279287, 0, 0>
		scale <13.981816, 1, 1>
		translate <-0.019975, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 57.622437, 0>
		translate <-1.20241, 0, -8.88376>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.25, 0.25, 0.25>
		translate <-0.97722, 0, -9.23891>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.249363 }
			plane { <1, 0, 0>, 0.219439 inverse }
		}
		translate <-0.249363, 0, 0>
		scale <13.981649, 1, 1>
		translate <-0.017835, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 54.281761, 0>
		translate <-0.97722, 0, -9.23891>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.22, 0.22, 0.22>
		translate <-0.73172, 0, -9.58033>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.219439 }
			plane { <1, 0, 0>, 0.189516 inverse }
		}
		translate <-0.219439, 0, 0>
		scale <13.981634, 1, 1>
		translate <-0.015695, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 50.942491, 0>
		translate <-0.73172, 0, -9.58033>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.19, 0.19, 0.19>
		translate <-0.46675, 0, -9.90687>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.189516 }
			plane { <1, 0, 0>, 0.159592 inverse }
		}
		translate <-0.189516, 0, 0>
		scale <13.98181, 1, 1>
		translate <-0.013554, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 47.602125, 0>
		translate <-0.46675, 0, -9.90687>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.16, 0.16, 0.16>
		translate <-0.1832, 0, -10.21742>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.159592 }
			plane { <1, 0, 0>, 0.129669 inverse }
		}
		translate <-0.159592, 0, 0>
		scale <13.981724, 1, 1>
		translate <-0.011414, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 44.260069, 0>
		translate <-0.1832, 0, -10.21742>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.13, 0.13, 0.13>
		translate <0.11797, 0, -10.51091>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.129669 }
			plane { <1, 0, 0>, 0.099745 inverse }
		}
		translate <-0.129669, 0, 0>
		scale <13.981898, 1, 1>
		translate <-0.009274, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 40.920355, 0>
		translate <0.11797, 0, -10.51091>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.1, 0.1, 0.1>
		translate <0.43573, 0, -10.78636>
		texture { YourTexture }
	}
	object {
		Connector_2
		clipped_by {
			plane { <1, 0, 0>, 0.099745 }
			plane { <1, 0, 0>, 0.069822 inverse }
		}
		translate <-0.099745, 0, 0>
		scale <13.981494, 1, 1>
		translate <-0.007134, 0, 0>
		rotate <0, 180, 0>
		rotate <0, 37.580056, 0>
		translate <0.43573, 0, -10.78636>
		texture { YourTexture }
	}
	object {
		Dot
		scale <0.07, 0.07, 0.07>
		translate <0.76899, 0, -11.04282>
		texture { YourTexture }
	}
	bounded_by {
		object {
			Dot
			scale <7.040532, 7.040532, 7.040532>
			translate <-0.90794, 0, -5.07141>
		}
	}
}

//---- Torus's for Head

#declare MT1 = quartic { <1, 0, 0, 0, 2, 0, 0, 2, 0, -32.04, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 28.8,  0, 0, 0, 0, 1, 0, -32.04, 0, 207.36> }
#declare MT2 = quartic { <1, 0, 0, 0, 2, 0, 0, 2, 0, -20,    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 16,    0, 0, 0, 0, 1, 0, -20,    0, 64> }
#declare MT3 = quartic { <1, 0, 0, 0, 2, 0, 0, 2, 0,  -6.8,  0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0,  6.16, 0, 0, 0, 0, 1, 0, -6.8,   0,  9.4864> }

//---- Small Curved Fang
#declare Fang =
object {
	difference {
		object { Cylinder_Y scale <1.1, 1, 1> translate <0.9, 0, -0.2> }
		object { Cylinder_Y scale <1,   1, 1> translate <1.2, 0,  0.15> }
		plane { <0, 1, 0> 0 rotate <0, 0, -7> translate <2, 0, 0> inverse}
		plane { <0, 1, 0> 0 rotate <0, 0,  7> translate <2, 0, 0> }
	}
	texture {
		pigment {
			gradient <0, 0, 1>
			color_map {
				[0.0, 0.1  color White  color Wheat]
				[0.1, 0.3  color Wheat  color Gold]
				[0.3, 1.0  color Gold   color Red]
			}
			scale <1, 1, 1>
			translate <0, 0, -1.2>
		}
		finish {
			ambient 0.3
			diffuse 0.4
			phong 1
		}
	}
	bounded_by { object { UnitBox scale <4, 2, 4> translate <0.9, 0, -0.3> } }
	scale <1, 0.8, 1>
	translate <-2.6, 0, -3.4>
}


//---- Head Section
//---- Complete Head

#declare Head =
union {
	union {
		object {
			union {
				difference {
					object { Sphere scale <4.25, 4.25, 4>   translate <0, 0, -2.8> }
					object { Sphere scale <4.8,  4.8,  4.4> translate <0, 0, -4.8> }
				}
				object { MT1 rotate <90, 0, 0> scale <1,   1,   1.1> translate <0, 0, -2.8> }
				object { MT2 rotate <90, 0, 0> scale <1.1, 1.1, 1.7> translate <0, 0, -1.3> }
			}
			texture { BodyTexture }
			bounded_by { object { UnitBox scale <6, 6, 6> translate <0, 0, -1.5> } }
		}
		//--- Mouth
		object {
			union {
				object { MT2 rotate <90, 0, 0> scale <1.1, 1.1, 1> translate <0, 0, -2.8> }
				object { MT3 rotate <90, 0, 0>                     translate <0, 0, -2.4> }
				object { Disk_Z scale <2, 2, 0.01> translate <0, 0, -2.4> }
			}
			texture { HeadCheese }
			bounded_by { object { UnitBox scale <6, 6, 6> translate <0, 0, -1.5> } }
		}
		object { Fang rotate <0, 0,   0> }
		object { Fang rotate <0, 0,  30> }
		object { Fang rotate <0, 0,  60> }
		object { Fang rotate <0, 0,  90> }
		object { Fang rotate <0, 0, 120> }
		object { Fang rotate <0, 0, 150> }
		object { Fang rotate <0, 0, 180> }
		object { Fang rotate <0, 0, 210> }
		object { Fang rotate <0, 0, 240> }
		object { Fang rotate <0, 0, 270> }
		object { Fang rotate <0, 0, 300> }
		object { Fang rotate <0, 0, 330> }
		union {
			object { Horn translate <-4, 0, -2> rotate <0, 0, -45> }
			object { Horn translate <-4, 0, -2> rotate <0, 0,  45> }
			object { Horn translate <-4, 0, -2> rotate <0, 0, 135> }
			object { Horn translate <-4, 0, -2> rotate <0, 0, 225> }
			scale <1, 1, 1>
		}
		scale <1.1, 1, 1.1>
		rotate <0, -90, 0>
		translate <1.5, 7, 0> 
	}
	object { BS }
}

//----- Body Translated in +Z direction for ground sweep
#declare BS1 = object { BS translate <0, 0, 15> }

//---- Complete Slug in a Left Twist
union {
	//--- Tail
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate < -15, 0, 0> translate <15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate < -30, 0, 0> translate <15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate < -45, 0, 0> translate <15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate < -60, 0, 0> translate <15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate < -75, 0, 0> translate <15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate < -90, 0, 0> translate <15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate <-105, 0, 0> translate <15, -10, 0> } 
	object { BS1 rotate <0,  0,   0> }
	object { BS1 rotate <0, 22.5, 0> }
	object { BS1 rotate <0, 45,   0> }
	object { BS1 rotate <0, 67.5, 0> }
	object { BS1 rotate <0, 90,   0> }
	object { BS translate <0, -15, 0> rotate <0, 0, -18> translate <0, 15, 15> }
	object { BS translate <0, -15, 0> rotate <0, 0, -36> translate <0, 15, 15> }
	object { BS rotate < 9, 0,   0> translate <0, -15, 0> rotate <0, 0, -54> translate <0, 15, 15> }
	object { BS rotate <18, 0,   0> translate <0, -15, 0> rotate <0, 0, -72> translate <0, 15, 15> }
	object { BS rotate <27, 0,   0> translate <0, -15, 0> rotate <0, 0, -90> translate <0, 15, 15> }
	object { BS	rotate < 0, 0, -90> rotate <0, -36, 0> translate <0, 0, 15> rotate <-15, 0, 0> translate <-15, 15, 0> } 
	object { BS	rotate < 0, 0, -90> rotate <0, -45, 0> translate <0, 0, 15> rotate <-30, 0, 0> translate <-15, 15, 0> } 
	object { BS	rotate < 0, 0, -90> rotate <0, -54, 0> translate <0, 0, 15> rotate <-45, 0, 0> translate <-15, 15, 0> } 
	object { BS	rotate < 0, 0, -90> rotate <0, -63, 0> translate <0, 0, 15> rotate <-60, 0, 0> translate <-15, 15, 0> } 
	object { BS	rotate < 0, 0, -90> rotate <0, -72, 0> translate <0, 0, 15> rotate <-75, 0, 0> translate <-15, 15, 0> } 
	object { BS	rotate < 0, 0, -90> rotate <0, -81, 0> translate <0, 0, 15> rotate <-90, 0, 0> translate <-15, 15, 0> } 
	object { BS	rotate < 0, 0, -90> rotate <0, -81, 0> translate <0, 0, 15> rotate <-105, 0, 0> translate <-15, 15, 0> } 
	object { Head rotate <0, 180, 0> rotate <0, 0, -90> rotate <0, -90, 0> translate <0, 0, 15> rotate <-120, 0, 0> translate <-15, 15, 0> } 
	bounded_by { object { UnitBox scale <70, 100, 70> translate <0, 60, 20> } } 
	rotate <0, -50, 0>
	scale <75, 75, 75>
	translate <-3300, 500, 5500>
}

/*
//---- Slug with Right Twist
union {
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate <-15, 0, 0> translate <-15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate <-30, 0, 0> translate <-15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate <-45, 0, 0> translate <-15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate <-60, 0, 0> translate <-15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate <-75, 0, 0> translate <-15, -10, 0> } 
	object { BS	rotate <0, 90, 0> translate <0, 10, 0> rotate <-90, 0, 0> translate <-15, -10, 0> } 
	object { BS1 rotate <0,   0,   0> }
	object { BS1 rotate <0, -22.5, 0> }
	object { BS1 rotate <0, -45,   0> }
	object { BS1 rotate <0, -67.5, 0> }
	object { BS1 rotate <0, -90,   0> }
	object { BS translate <0, -15, 0> rotate <0, 0, 18> translate <0, 15, 15> }
	object { BS translate <0, -15, 0> rotate <0, 0, 36> translate <0, 15, 15> }
	object { BS rotate < 9, 0, 0> translate <0, -15, 0> rotate <0, 0, 54> translate <0, 15, 15> }
	object { BS rotate <18, 0, 0> translate <0, -15, 0> rotate <0, 0, 72> translate <0, 15, 15> }
	object { BS rotate <27, 0, 0> translate <0, -15, 0> rotate <0, 0, 90> translate <0, 15, 15> }
	object { BS	rotate <0, 0, 90> rotate <0, 36, 0> translate <0, 0, 15> rotate <-15, 0, 0> translate <15, 15, 0> } 
	object { BS	rotate <0, 0, 90> rotate <0, 45, 0> translate <0, 0, 15> rotate <-30, 0, 0> translate <15, 15, 0> } 
	object { BS	rotate <0, 0, 90> rotate <0, 54, 0> translate <0, 0, 15> rotate <-45, 0, 0> translate <15, 15, 0> } 
	object { BS	rotate <0, 0, 90> rotate <0, 63, 0> translate <0, 0, 15> rotate <-60, 0, 0> translate <15, 15, 0> } 
	object { BS	rotate <0, 0, 90> rotate <0, 72, 0> translate <0, 0, 15> rotate <-75, 0, 0> translate <15, 15, 0> } 
	object { BS	rotate <0, 0, 90> rotate <0, 81, 0> translate <0, 0, 15> rotate <-90, 0, 0> translate <15, 15, 0> } 
	object { BS	rotate <0, 0, 90> rotate <0, 81, 0> translate <0, 0, 15> rotate <-105, 0, 0> translate <15, 15, 0> } 
	object { Head rotate <0, 0, 90> rotate <0, 90, 0> translate <0, 0, 15> rotate <-120, 0, 0> translate <15, 15, 0> }
	bounded_by { object { UnitBox scale <70, 100, 70> translate <0, 60, 20> } } 
	rotate <0, 80, 0>
	scale <50, 50, 50>
	translate <-1500, 500, 5000>
}
*/
